Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231785 - No display when booting the xen kernel
Summary: No display when booting the xen kernel
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel-xen
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Xen Maintainance List
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-11 19:45 UTC by Sam Varshavchik
Modified: 2009-12-14 20:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-27 00:00:21 UTC


Attachments (Terms of Use)
xend.log (deleted)
2007-03-11 19:45 UTC, Sam Varshavchik
no flags Details
dmesg from the fc6xen kernel (deleted)
2007-03-11 19:47 UTC, Sam Varshavchik
no flags Details
dmesg from the working non-xen kernel (deleted)
2007-03-11 19:47 UTC, Sam Varshavchik
no flags Details
output of lspci (deleted)
2007-03-11 19:49 UTC, Sam Varshavchik
no flags Details
dmesg from 2.6.20-1.2933.fc6xen, with multiple BUGs (deleted)
2007-03-26 23:12 UTC, Sam Varshavchik
no flags Details

Description Sam Varshavchik 2007-03-11 19:45:00 UTC
Description of problem:


Version-Release number of selected component (if applicable):

2.6.19-1.2911.6.5.fc6xen

How reproducible:

Always.

When booting the Xen kernel on my laptop, the display remains completely blank
after grub.  The kernel appears to boot succesfully; eventually I can log into
the machine from the network.  "uname -r" reports the Xen kernel version, "xm
list" shows the host running, but the system console screen is empty.

Using the network login I can then reboot the laptop into the regular, non-Xen
kernel, which boots fine.

Comment 1 Sam Varshavchik 2007-03-11 19:45:01 UTC
Created attachment 149796 [details]
xend.log

Comment 2 Sam Varshavchik 2007-03-11 19:47:05 UTC
Created attachment 149797 [details]
dmesg from the fc6xen kernel

Comment 3 Sam Varshavchik 2007-03-11 19:47:59 UTC
Created attachment 149798 [details]
dmesg from the working non-xen kernel

Comment 4 Sam Varshavchik 2007-03-11 19:49:50 UTC
Created attachment 149799 [details]
output of lspci

Comment 5 Sam Varshavchik 2007-03-26 23:12:03 UTC
Created attachment 150975 [details]
dmesg from 2.6.20-1.2933.fc6xen, with multiple BUGs

This bug is still present in 2.6.20-1.2933.fc6xen.

The laptop screen remains turned off, but the kernel appears to boot with the
screen off, eventually I can ssh into this box over the network, and collect
the attached dmesg.

Note that dmesg reports multiple BUGs :-)

Comment 6 Red Hat Bugzilla 2007-07-25 01:39:32 UTC
change QA contact

Comment 7 Chris Lalancette 2008-02-27 00:00:21 UTC
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks



Note You need to log in before you can comment on or make changes to this bug.